<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="DBManager"
	description="Компонент менеджер базы данных" fileName="NPCDBManager.jar"
	className="org.mati.npc.components.dbmanager.NPCDBManager" service="true"
	version="8872" time="17.02.2009 01:05:07">

	<Group>СКУД</Group>
	<Group>Система голосования</Group>
	<Group>Охранно-пожарная система</Group>
	<Group>Синхронизация, администрирование и авторизация
	</Group>

	<INLink name="InDBServiceContainer" description="Служит для получения соединения с базой данных."
		interfaceName="org.mati.npc.components.interfaces.DBSerivceContainer"
		linksNumber="0" nullable="true">
	</INLink>

	<Attribute name="ConnectionURL"
		description="URL для соединения с базой данных, СЕЙЧАС вводится в формате host/dbname;"
		defaultValue="localhost/npc"
		isEncode="true" nullable="false" type="java.lang.String">
	</Attribute>

	<Attribute name="SaveTransactions" description="Вести журнал транзакций"
		defaultValue="true"
		nullable="false" type="java.lang.Boolean">
	</Attribute>

</ClassComponent>